GDB (xrefs)

Public Attributes | List of all members
i386_insn Struct Reference

## Public Attributes
size_t | len
gdb_byte | insn [I386_MAX_MATCHED_INSN_LEN]
gdb_byte | mask [I386_MAX_MATCHED_INSN_LEN]

## Detailed Description

Definition at line 1388 of file i386-tdep.c.

## Member Data Documentation

## ◆ insn

gdb_byte i386_insn::insn[I386_MAX_MATCHED_INSN_LEN]

Definition at line 1391 of file i386-tdep.c.

Referenced by i386_analyze_frame_setup(), i386_in_stack_tramp_p(), i386_match_insn_block(), and i386_match_pattern().

## ◆ len

size_t i386_insn::len

Definition at line 1390 of file i386-tdep.c.

Referenced by i386_match_insn(), i386_match_insn_block(), and i386_match_pattern().

## ◆ mask

gdb_byte i386_insn::mask[I386_MAX_MATCHED_INSN_LEN]

Definition at line 1392 of file i386-tdep.c.

Referenced by i386_match_pattern().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/i386-tdep.c